//
//  MyView.m
//  ex_UIBezierPath_rectangle
//
//  Created by yoshiyuki oshige on 2013/09/29.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "MyView.h"

@implementation MyView

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code
    }
    return self;
}

// ビューが表示される際に実行される
- (void)drawRect:(CGRect)rect
{
    // 図形の領域
    CGRect theRect = CGRectMake(20, 50, 100, 120);
    // 図形のパス（矩形）
    UIBezierPath *drawPath = [UIBezierPath bezierPathWithRect:theRect];
    // パスを描く
    [drawPath stroke];
}

@end
